Bug 641455 - [Intel 6.0 Bug] NPIV broken in SW FCoE [rhel-6.0.z]
Summary: [Intel 6.0 Bug] NPIV broken in SW FCoE [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: 6.1
Assignee: Frantisek Hrbata
QA Contact: Storage QE
URL:
Whiteboard:
Depends On: 631246
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 18:56 UTC by Benjamin Kahn
Modified: 2010-11-11 12:00 UTC (History)
20 users (show)

Fixed In Version: kernel-2.6.32-71.4.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, the destination MAC address validation was not checking for NPIV (N_Port ID Virtualization) addresses, which results in FCoE (Fibre Channel over Ethernet) frames being dropped. With this update, the destination MAC address check for FCoE frames has been modified so that multiple N_port IDs can be multiplexed on a single physical N_port.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:10:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description Benjamin Kahn 2010-10-08 18:56:36 UTC
This bug has been copied from bug #631246 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 4 Frantisek Hrbata 2010-10-12 18:53:31 UTC
in kernel-2.6.32-71.4.1.el6

Comment 8 Jack Morgan 2010-10-27 00:52:37 UTC
Verified fixed by Intel

Comment 10 errata-xmlrpc 2010-11-10 19:10:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 11 Martin Prpič 2010-11-11 12:00:49 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the destination MAC address validation was not checking for NPIV (N_Port ID Virtualization) addresses, which results in FCoE (Fibre Channel over Ethernet) frames being dropped. With this update, the destination MAC address check for FCoE frames has been modified so that multiple N_port IDs can be multiplexed on a single physical N_port.


Note You need to log in before you can comment on or make changes to this bug.